﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg sky = "IMG_2939.png"
image bg angels = "IMG_2940.png"
image bg dark = "IMG_2941.png"
image bg clover = "IMG_2942.png"
image bg path = "IMG_2943.png"
image bg stars = "IMG_2949.png"
image bg field = "IMG_2950.png"


# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")

# The game starts here.
label start:

    scene bg sky 
    with fade

    "Once upon a time, there lived a prince of angels."
    
    "He ruled over all the angels in the heavens with his father and grandmother."
    
    "He lived in a palace of gold, that was lined wall-to-wall with his shiny medals and trophy cases."
    
    "It was a world of eternal brightness filled with sunny days."
    
    scene bg angels 
    with fade
    
    "His attending angels, Mr. Cherth and Mr. Noss, took great care after the prince of angels."
    
    "This made the prince of angels a very bright, and sunny boy."
    
    "But then one day, the prince of angels was struck with incredible sadness."
    
    "No one knew why the prince was so sad.  He was usually so happy."
    
    "Mr. Cherth and Mr. Noss did all they could to cheer up the sad prince of angels."
    
    "But it was all to no avail."
    
    "The prince of angels, not wanting to worry his beloved angels with his sadness, went off to find a place to be sad by himself."
    
    scene bg dark 
    with fade
    
    "So, the prince of angels soon found himself looking down from the heavens, into the dark abyss."
    
    "His father and his grandmother had told him not to go down to the abyss, for it was a dark and sad place."
    
    "But the prince of angels wanted a place to be sad, and so he descended down from the heavens."
    
    "Yet the further he drifted down, the darkness seemed to have no end."
    
    "And so the sadness overtook him."
    
    "The prince of angels had become the prince of darkness."
    
    "There in the abyss, his days became filled with gloom."
    
    "The prince could no longer find his way back to the heavens, for he had become too lost in the darkness."
    
    "This made the prince of darkness lose all hope."
    
    "During his time in the darkness, he met the queen of clovers."
    
    "She smiled at the prince of darkness."
    
    "She asked him why was he so sad?"
    
    "The prince of darkness said that he didn't know why, but now he was lost and sad."
    
    "The queen of clovers then told him it was okay for him to be sad, for not every moment can be filled with endless joy."
    
    "So, it's okay to be a little bit sad."
    
    "Then she said it only gets to be a problem when you're extremely sad for a very long time, and I think you've been down here long enough."
    
    scene bg clover 
    with fade
    
    "The queen then hands him a four-leafed clover."
    
    "She told him to take this clover as a good luck charm.  To help him find his way out of the darkness."
    
    "The queen of clovers then tells him that she always finds her way out of the darkness, so she didn't need that clover anymore."
    
    "Take care, she said."
    
    "And with those words, the queen of clovers disappeared into her own darkness."
    
    "The prince examined the clover that he had been given."
    
    "How was a clover supposed to show him the way out of the darkness?"
    
    "Without any hope, the prince of darkness tossed the clover to the ground."
    
    "But to his surprise..."
    
    scene bg path 
    with fade
    
    "... a path of clovers started to grow before him."
    
    "The prince of darkness followed the path of clovers."
    
    "The path seemed endless, but he had to see where it led to."
    
    "And he did."
    
    show bg stars with fade
    
    "The clovers had led up to a staircase of stars."
    
    "The prince of darkness walked up each step."
    
    "The staircase of stars also seemed endless, but he had to see where it led to."
    
    "And he did."
    
    scene bg sky 
    with fade
    
    "He saw that the staircase of stars led up to the light of the heavens, which out shone all the stars in the darkness."
    
    "The prince had found his way back home."
    
    "THE END"
    
    "..."
    
    "EPILOGUE"
    
    scene bg field 
    with fade
    
    "The prince of angels met the queen of clovers again, but this time in a clover patch in heaven one day."
    
    "She was making a crown of four-leafed clovers."
    
    "The prince of angels gave his thanks to the queen of clovers."
    
    "The four-leafed clover was a powerful good luck charm.  For without the path of clovers it grew, he would've never found his way home."
    
    "I think you've mistaken something, said the queen of clovers.  I've never known a clover being able to do such a thing."
    
    "I don't think it was the power of the clover that brought you home, rather you did using your own power."
    
    "You guided yourself out of the darkness."
    
    "The prince of angels smiled."
    
    "The queen of clovers was right.  He did use his own power to find his way back home."
    
    "EPILOGUE END"

    return
